<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.irs.gov/efile" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

  <xsd:annotation>
    <xsd:documentation>
      <Description>IRS e-file Partnership Income Return - Schedule L Other Current Assets Statement</Description>
      <TaxYear>2018</TaxYear>
      <MaturityLevel>Final Release</MaturityLevel>
      <ReleaseDate>October 17, 2018</ReleaseDate>
    </xsd:documentation>
  </xsd:annotation>
  
  <xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>
  
  
  <!-- =========================================================== -->
  <!-- =======  Schedule L Other Current Assets Statement  ======= -->
  <!-- =========================================================== -->
  
  
  <xsd:element name="ScheduleLOtherCurrentAstStmt">
    <xsd:annotation>
      <xsd:documentation>Schedule L other current assets statement</xsd:documentation>
    </xsd:annotation>
    <xsd:complexType>
      <xsd:complexContent>
        <xsd:extension base="ScheduleLOthCurrentAstStmtTyp">
          <xsd:attributeGroup ref="DocumentAttributes">
            <xsd:annotation>
              <xsd:documentation>Common return document attributes</xsd:documentation>
            </xsd:annotation>
          </xsd:attributeGroup>
          <xsd:attribute name="documentName" type="xsd:string" fixed="ScheduleLOtherCurrentAssetsStatement">
            <xsd:annotation>
              <xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
            </xsd:annotation>
          </xsd:attribute>
        </xsd:extension>
      </xsd:complexContent>
    </xsd:complexType>
  </xsd:element>
  
  <xsd:complexType name="ScheduleLOthCurrentAstStmtTyp">
    <xsd:annotation>
      <xsd:documentation>Content model for schedule L other current assets statement</xsd:documentation>
    </xsd:annotation>
    
    <xsd:sequence>
    
      <xsd:element name="BeginEndYearItemGrp" minOccurs="0" maxOccurs="unbounded">
        <xsd:complexType>
          <xsd:sequence>
          
            <!-- Type -->          
            <xsd:element name="Desc" type="LineExplanationType" minOccurs="0">
              <xsd:annotation>
                <xsd:documentation>
                  <Description>Type</Description>
                </xsd:documentation>
              </xsd:annotation>
            </xsd:element>
            
            <!-- Beginning of Year Amount -->            
            <xsd:element name="BeginningOfYearAmt" type="USAmountType" minOccurs="0">
              <xsd:annotation>
                <xsd:documentation>
                  <Description>Beginning of Year Amount</Description>
                </xsd:documentation>
              </xsd:annotation>
            </xsd:element>
            
            <!-- End of Year Amount -->            
            <xsd:element name="EndOfYearAmt" type="USAmountType" minOccurs="0">
              <xsd:annotation>
                <xsd:documentation>
                  <Description>End of Year Amount</Description>
                </xsd:documentation>
              </xsd:annotation>
            </xsd:element>

          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>

    </xsd:sequence>
  </xsd:complexType>
  
</xsd:schema>
